Home page logo
/

fulldisclosure logo Full Disclosure mailing list archives

[CVE-2013-2254] Apache Sling denial of service vulnerability
From: Carsten Ziegeler <cziegeler () apache org>
Date: Wed, 9 Oct 2013 07:40:37 +0200

CVE-2013-2254: Apache Sling denial of service vulnerability

Severity: Important

Vendor: The Apache Software Foundation

Versions Affected:  Apache Sling org.apache.sling.servlets.post.bundle
version 2.2.0 and 2.3.0

Description: With some combinations of access control settings and request
paths, the POST servlet in the Apache Sling org.apache.sling.servlets.post
bundle versions 2.2.0 and 2.3.0 can cause infinite loops, potentially
leading to denial of service attacks.

Mitigation: Users of those bundle versions should update to version 2.3.2
of the bundle (http://sling.apache.org/downloads.cgi)<http://svn.apache.org/viewvc?rev=680950&view=rev>

Credit: This issue was reported by Antonio Sanso of Adobe Systems
Incorporated.

References: http://sling.apache.org/project-information/security.html

https://issues.apache.org/jira/browse/SLING-2913
Regards
Carsten Ziegeler
On Behalf of the Apache Sling Project Management Committee
-- 
Carsten Ziegeler
cziegeler () apache org
_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/

  By Date           By Thread  

Current thread:
  • [CVE-2013-2254] Apache Sling denial of service vulnerability Carsten Ziegeler (Oct 09)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]